﻿namespace MSSqlSchemaDoc.Core.DataStructures
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Represents the contract for documentation objects.
    /// </summary>
    public interface IDocumentationObject
    {
        /// <summary>
        /// Gets or sets the type of object represented.
        /// </summary>
        DataStructureObjectType ObjectType { get; set; }

        /// <summary>
        /// Gets or sets the name of the object.
        /// </summary>
        string Name { get; set; }

        /// <summary>
        /// Gets or sets the schema of the object (if applicable).
        /// </summary>
        string Schema { get; set; }

        /// <summary>
        /// Gets or sets the documentation for the object.
        /// </summary>
        string Documentation { get; set; }
    }
}
