﻿namespace MSSqlSchemaDoc.Core.DataStructures
{
    using System.Xml.Serialization;

    /// <summary>
    /// Represents a column which is part of an index.
    /// </summary>
    public class IndexColumn
    {
        /// <summary>
        /// Gets or sets the name of the column.
        /// </summary>
        [XmlAttribute()]
        public string Name { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether the column is ordered in a descending manner in the index.
        /// </summary>
        [XmlElement()]
        public bool IsDecendingKey { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether the column is simply included in the index,
        /// or whether it is part of the searchable part of the index.
        /// </summary>
        [XmlElement()]
        public bool IsIncludedColumn { get; set; }
    }
}